/**
 * Converts a webp image to base64 format.
 * @param {string} webPath - The web path of the photo.
 * @returns {Promise<string>} A Promise that resolves with the base64 representation of the photo.
 */
export declare const getBase64FromWebp: (webPath: string) => Promise<string>;
/**
 * Converts a blob to base64 format.
 * @param {Blob} blob - The blob to convert.
 * @returns {Promise<string>} A Promise that resolves with the base64 representation of the blob.
 */
export declare const convertBlobToBase64: (blob: Blob) => Promise<unknown>;
